Subject: bug#42635: closed (Re: bug#42635: uninitialized value in string eq at /usr/bin/automake line 4953.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Aug 2020 23:29:02 +0000

Your bug report

#42635: uninitialized value in string eq at /usr/bin/automake line 4953.

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42635: uninitialized value in string eq at /usr/bin/automake line 4953.
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Aug 2020 17:28:11 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

    Use of uninitialized value in string eq at /usr/bin/automake line 4953.

Thanks Alexandre. I installed this patch that I hope fixes it.

Subject: uninitialized value in string eq at /usr/bin/automake line 4953.
From: Alexandre Duret-Lutz <[email-masked]>
To: [email-masked]
Date: Fri, 31 Jul 2020 16:48:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This perl warning occurs with automake 1.16.2 (but is much older) when
TEST_EXTENSIONS is set to the empty string (I don't want to remove
extensions before appending .log) and EXEEXT is defined.

% cat configure.ac
AC_INIT([foo],[1.0])
AM_INIT_AUTOMAKE([foreign])
AC_PROG_CC  dnl comment this line to make the warning disappear
AC_CONFIG_FILES([Makefile])
AC_OUTPUT
% cat Makefile.am
TEST_EXTENSIONS =
LOG_COMPILER = echo
TESTS = foo.test
% touch foo.test
% autoreconf -fi
configure.ac:3: installing './compile'
configure.ac:2: installing './install-sh'
configure.ac:2: installing './missing'
Use of uninitialized value in string eq at /usr/bin/automake line 4953.
parallel-tests: installing './test-driver'
% nl -ba `command -v automake` | sed -n '4951,4955p'
  4951            if ($handle_exeext)
  4952              {
  4953                unshift (@test_suffixes, $at_exeext)
  4954                  unless $test_suffixes[0] eq $at_exeext;
  4955              }

-- 
Alexandre Duret-Lutz